%define modname lxml

Name:           python-%{modname}
URL:            http://codespeak.net/lxml/
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Version:        3.8.0
Release:        1
License:        BSD
Group:          Development/Python
Source:         http://pypi.python.org/packages/source/l/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  python-cython

BuildRequires:  python-setuptools

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%package docs
Summary:	Documentation for %{name}

Group:		Development/Python

%description docs
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

This package contains the documentation. The documentation is located in
%{_docdir}/%{name}/doc.

%prep
%setup -qn %{modname}-%{version}

%build
python setup.py build --with-cython

%install
python setup.py install --root=%{buildroot}

#docs
mkdir -p %{buildroot}%{_docdir}/%{name}/doc
cp -r doc/* %{buildroot}%{_docdir}/%{name}/doc


%files
%doc CHANGES.txt CREDITS.txt LICENSES.txt README.rst TODO.txt
%{py_platsitedir}/lxml*
%exclude %{_docdir}/%{name}/doc

%files docs
%doc %{_docdir}/%{name}/doc

%changelog

* Tue Aug 08 2017 tremod <negry.m@yandex.ru> 3.8.0-1
- (65bf70f) Update to 3.8.0


